/*************************************************************************
Title:    testing output to a HD44780 based LCD display.
Author:   Peter Fleury  <pfleury@gmx.ch>  http://jump.to/fleury
File:     $Id: test_lcd.c,v 1.6 2004/12/10 13:53:59 peter Exp $
Software: AVR-GCC 3.3
Hardware: HD44780 compatible LCD text display
          ATmega if memory-mapped LCD interface is used
          any AVR with 7 free I/O pins if 4-bit IO port mode is used
**************************************************************************/
#include <stdlib.h>
#include <avr/io.h>
#include <util/delay.h>
#include "lcd.h"

extern int main( void )        __attribute__((OS_main));

int main(void)
{



    /* initialize display, cursor off */
    lcd_init(LCD_DISP_ON);
	

    while (1) {                           /* loop forever */
        lcd_clrscr();     /* clear display home cursor */

        /* put string to display */
        lcd_puts( "0123456789012345\n" );
        lcd_puts( "Hello World !" );
        
	_delay_ms(1000); 
    } // while
}
